gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

The Gda.Command structure holds data needed to issue a command to the providers.

One interesting thing about Gda.Command's is that they can be reused over and over. That is, applications don't need to create a command every time they want to run something on the connected database. Moreover, the ability to create command strings with placeholders allows the use of parameters to specify the values for those placeholders.

System.ValueType
- Method
  System.Void

  Frees the resources allocated by Gda.Command's constructor.

  To be added
- Property
  Gda.CommandType

  Gets the of command.

  Sets the of command.

  a To be added
- Property
  Gda.CommandOptions

  Gets the of cmd.

  Sets the of cmd.

  a To be added
- Property
  System.String

  Gets the command text.

  Sets the command text.

  a To be added
- Property
  Gda.Transaction

  Gets the associated with the Command.

  Sets the associated with the Command.

  a To be added
- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Creates a new Gda.Command from the parameters.

  a
  a
  a
  a
  To be added